Skip to main content
GET
/
v1
/
leads
Listar leads
curl --request GET \
  --url https://api.timelyai.com.br/v1/leads \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customer_name": "Maria Souza",
      "customer_phone": "<string>",
      "customer_email": "jsmith@example.com",
      "status": "new",
      "score": 50,
      "budget_range": "<string>",
      "pain_points": [
        "<string>"
      ],
      "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "qualification_data": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 150,
    "total_pages": 8
  }
}

Authorizations

x-api-key
string
header
required

Chave de API para autenticação. Obtenha sua chave em https://app.timelyai.com.br/developers

Query Parameters

page
integer
default:1

Número da página (começa em 1)

Required range: x >= 1
limit
integer
default:20

Quantidade de itens por página (máximo 100)

Required range: 1 <= x <= 100
sort
enum<string>
default:created_at

Campo para ordenação

Available options:
created_at,
updated_at,
customer_name,
status,
score
order
enum<string>
default:desc

Direção da ordenação

Available options:
asc,
desc
status
enum<string>

Filtrar por status do lead

Available options:
new,
contacted,
qualified,
proposal,
negotiation,
won,
lost

Termo de busca (busca parcial, case-insensitive)

Response

Lista de leads

data
object[]
pagination
object